import { CSelector, CNode, CProperties, CContext, CSSRenderInstance } from './types';
export interface createCNodeInstance {
    (instance: CSSRenderInstance, path: string | CSelector): CNode;
    (instance: CSSRenderInstance, path: string | CSelector, children: CNode[]): CNode;
    (instance: CSSRenderInstance, path: string | CSelector, props: CProperties): CNode;
    (instance: CSSRenderInstance, path: string | CSelector, props: CProperties, children: CNode[]): CNode;
}
export declare const h: createCNodeInstance;
export { CSelector, CNode, CProperties, CContext };
